#ifndef __SCENEENTITYCONVERTER_H
#define __SCENEENTITYCONVERTER_H

#include "common.h"
#include "AxisAlignedBox3.h"


namespace CHCDemoEngine 
{

class Material;
class Transform3;
class Camera;
class SceneEntity;

/** Class that converts geometric objects to scene entities
*/
class SceneEntityConverter
{
public:
	
	/** Creates a scene entity.
	*/
	SceneEntityConverter() {};
	
	//~SceneEntityConverter();

	/** Converts this box to a scene entity
	*/
	SceneEntity *ConvertBox(const AxisAlignedBox3 &box, Material *mat, Transform3 *trafo);	
	/** Converts the box to a scene entity
	*/
	SceneEntity *ConvertSphere(float radius, float xspans, float yspans, Material *mat, Transform3 *trafo);	
};

}

#endif // __SCENEENTITYCONVERTER_H